DataFrameAsyncActor (Snowpark Java API Reference 1.20.0)

Package com.snowflake.snowpark_java

## Class DataFrameAsyncActor

- java.lang.Object
- - com.snowflake.snowpark_java.DataFrameAsyncActor

- Direct Known Subclasses:
    `CopyableDataFrameAsyncActor`, `UpdatableAsyncActor`

      public class DataFrameAsyncActor
      extends java.lang.Object

  Provides APIs to execute DataFrame actions asynchronously.
  Since:
    1.2.0

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected com.snowflake.snowpark.Session` | `session` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TypedAsyncJob<Row[]>` | `collect()` | Executes `DataFrame.collect` asynchronously.
    `TypedAsyncJob<java.lang.Long>` | `count()` | Executes `DataFrame.count` asynchronously.
    `TypedAsyncJob<java.util.Iterator<Row>>` | `toLocalIterator()` | Executes `DataFrame.toLocalIterator` asynchronously.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### session

          protected final com.snowflake.snowpark.Session session

  - ### Method Detail

    - #### collect

          public TypedAsyncJob<Row[]> collect()

      Executes `DataFrame.collect` asynchronously.
      Returns:
        A TypedAsyncJob object that you can use to check the status of the action and get the results.
      Since:
        1.2.0

    - #### toLocalIterator

          public TypedAsyncJob<java.util.Iterator<Row>> toLocalIterator()

      Executes `DataFrame.toLocalIterator` asynchronously.
      Returns:
        A TypedAsyncJob object that you can use to check the status of the action and get the results.
      Since:
        1.2.0

    - #### count

          public TypedAsyncJob<java.lang.Long> count()

      Executes `DataFrame.count` asynchronously.
      Returns:
        A TypedAsyncJob object that you can use to check the status of the action and get the results.
      Since:
        1.2.0